Bug 780062 - (SOA-2427) ESB deployer generates "ERROR ... esbwarfiles" messages in server log
ESB deployer generates "ERROR ... esbwarfiles" messages in server log
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-15 10:52 EDT by Julian Coleman
Modified: 2011-02-13 01:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
SOA 5.1.0 pre ER3 build (ESB http://anonsvn.jboss.org/repos/labs/labs/jbossesb/tags/JBESB_ 4_9_CP1_ER3 r35536)
Last Closed: 2011-02-13 01:30:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2427 None None None Never

  None (edit)
Description Julian Coleman 2010-10-15 10:52:34 EDT
project_key: SOA

On server startup, 7 errors of the form:

  2010-10-15 15:51:14,254 ERROR [org.jboss.internal.soa.esb.util.JBossDeployerUtil] (main) Could not create directory /home/jcoleman/jboss-soa-p-5/jboss-as/server/default/tmp/esbwarfiles

are logged in the server.log file.  After the server has started, the directory:

  /home/jcoleman/jboss-soa-p-5/jboss-as/server/default/tmp/esbwarfiles

exists and contains no files
Comment 1 Kevin Conner 2010-10-15 10:54:35 EDT
Link: Added: This issue depends JBESB-3509
Comment 2 Laura Bailey 2010-12-16 19:41:32 EST
Writer: Added: Darrin
Comment 3 Laura Bailey 2010-12-16 19:47:54 EST
Release Notes Docs Status: Added: Not Yet Documented
Comment 5 Len DiMaggio 2011-02-07 09:58:50 EST
Verified fixed ER9 build.
Comment 6 Laura Bailey 2011-02-13 01:25:15 EST
Reopening to add release note text. Will set back to Closed -> Done shortly.
Comment 7 Laura Bailey 2011-02-13 01:30:00 EST
Setting back to Closed -> Done, having added release note text.
Comment 8 Laura Bailey 2011-02-13 01:30:00 EST
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Added: Upon server start, several "could not create directory" errors were logged when attempting to create the esbwarfiles directory. The logged error was inaccurate, as the directory already existed. A check has been added to handle an already created esbwarfiles directory, so that this error is only logged when the directory does not exist and cannot be created.

Note You need to log in before you can comment on or make changes to this bug.